Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

CentOS 7, NodeJS 0.12 #73

Closed
haf opened this Issue Mar 12, 2015 · 39 comments

Comments

Projects
None yet
@haf
Copy link

commented Mar 12, 2015

Hi,

I'm trying to use your service to install the latest nodejs, v0.12 -- but I can't find instructions for it (https://nodesource.com/blog/nodejs-v012-iojs-and-the-nodesource-linux-repositories)

Could you give a hand?

@rvagg

This comment has been minimized.

Copy link
Contributor

commented Mar 12, 2015

@haf they are coming very soon, we have started with the .debs because they are more popular and easier but .rpms for at least EL6 and EL7 will be landing soon and we'll work on EL5 after that

keep an eye on this repo for news.

@AndrewFarley

This comment has been minimized.

Copy link

commented Mar 20, 2015

+1 for Centos7 RPMs. :)

@prabhu

This comment has been minimized.

Copy link

commented Mar 30, 2015

Any news?

@AaronJan

This comment has been minimized.

Copy link

commented Apr 2, 2015

..OK, I'm downloading Ubuntu now.

+1 for CentOS 7
Thank you guys!

@clayreimann

This comment has been minimized.

Copy link

commented Apr 15, 2015

CentOS 7 👍

@haf

This comment has been minimized.

Copy link
Author

commented Apr 27, 2015

This was 1 1/2 months ago now; any updates?

@ItalyPaleAle

This comment has been minimized.

Copy link

commented Apr 28, 2015

I remember in the other thread we were promised 0.12 on EL in february...

@clayreimann

This comment has been minimized.

Copy link

commented Apr 28, 2015

@rvagg updates? a better place to get updates?

@haf

This comment has been minimized.

Copy link
Author

commented Apr 28, 2015

No better place to get updates to an issue than in the issue itself.

@chrislea

This comment has been minimized.

Copy link
Contributor

commented Apr 28, 2015

Hi guys, this one's in my court, not @rvagg's. I have 0.12 RPMs built for things newer than EL5, but we're getting some last things in place so the setup scripts do what they should intelligently. I'm getting it all done as quickly as I can. Thanks very much for being patient!

@efx

This comment has been minimized.

Copy link

commented May 7, 2015

@chrislea let me know if it would be useful for me to help with any tasks related to this.

@tonylukasavage

This comment has been minimized.

Copy link

commented May 8, 2015

+1 for Centos7 RPMs

1 similar comment
@lohfu

This comment has been minimized.

Copy link

commented May 11, 2015

+1 for Centos7 RPMs

@prabhu

This comment has been minimized.

Copy link

commented May 15, 2015

For those really impatient for rpm and want to upgrade right away

cd /tmp
wget http://nodejs.org/dist/v0.12.3/node-v0.12.3-linux-x64.tar.gz
cd /usr && tar --strip-components 1 -xzf /tmp/node-v0.12.3-linux-x64.tar.gz
@ItalyPaleAle

This comment has been minimized.

Copy link

commented May 15, 2015

@prabhu I'd recommend creating a symlink instead of untarring with "--strip-components". Like in here http://stackoverflow.com/questions/23082242/how-to-install-nodejs-0-10-26-from-binaries-in-ubuntu/23084499#23084499

@carloscarcamo

This comment has been minimized.

Copy link

commented May 22, 2015

+1 for Centos 7 RPMs :)

@Jakobud

This comment has been minimized.

Copy link

commented Jun 8, 2015

Any word on this yet? Was surprised to see nodesource yum repo still spitting out 0.10.x....

@thynson

This comment has been minimized.

Copy link

commented Jun 16, 2015

+1

@Jakobud

This comment has been minimized.

Copy link

commented Jun 16, 2015

For anyone curious, I installed Node Version Manager and it was able to seamlessly and easily install 0.12.x on CentOS 7 for me. It's a great tool for managing multiple versions on Node on a single server.

@mrichard

This comment has been minimized.

Copy link

commented Jun 29, 2015

+1

@rvagg

This comment has been minimized.

Copy link
Contributor

commented Jul 4, 2015

You can try out the new EL7 rpms by grabbing them manually from here: https://rpm.nodesource.com/pub_0.12/el/7/x86_64/ - we just need some testing and we're working on getting the setup script completed

@eskaaren

This comment has been minimized.

Copy link

commented Jul 7, 2015

+1

2 similar comments
@den-is

This comment has been minimized.

Copy link

commented Jul 8, 2015

+1

@etenzy

This comment has been minimized.

Copy link

commented Jul 10, 2015

+1

@Jakobud

This comment has been minimized.

Copy link

commented Jul 22, 2015

https://rpm.nodesource.com/pub_0.12/el/7/x86_64/nodejs-0.12.7-1nodesource.el7.centos.x86_64.rpm

Installed perfectly for me on CentOS 7.

@object88

This comment has been minimized.

Copy link

commented Aug 25, 2015

+1 Anything...?

@jorgevillamizarco

This comment has been minimized.

Copy link

commented Aug 26, 2015

@object88 , @Jakobud solution worked perfect for me!
wget https://rpm.nodesource.com/pub_0.12/el/7/x86_64/nodejs-0.12.7-1nodesource.el7.centos.x86_64.rpm

rpm -Uvh nodejs-0.12.7-1nodesource.el7.centos.x86_64.rpm

@object88

This comment has been minimized.

Copy link

commented Aug 26, 2015

@jorgevillamizarco, your suggestion does work, but I had to code a number of ansible tasks around it. My previous ansible playbook simple retrieved the script and executed; much simpler. I was hoping to continue to use that.

@xud6

This comment has been minimized.

Copy link

commented Sep 8, 2015

I current modify /etc/yum.repos.d/nodesource-el.repo and replace all /pub/ whith /pub_0.12/ .
then 'yum install nodejs' will install 0.12.
I do this on fresh installed centos, update from old one should work, but may have problems.

@geerlingguy

This comment has been minimized.

Copy link

commented Sep 10, 2015

👍 for CentOS 7. Same use case as @object88 — my Ansible role for Node.js currently works great for both 0.10 and 0.12 for Debian/Ubuntu, but the poor RHEL/CentOS users only get 0.10 so far.

@chrislea

This comment has been minimized.

Copy link
Contributor

commented Sep 10, 2015

Hey all. We have builds of everything for EL7, but we're still kicking the tires on them before we publicize their existence. You can get the files directly from:

https://rpm.nodesource.com/pub_0.12/el/7/x86_64/
https://rpm.nodesource.com/pub_4.x/el/7/x86_64/

If you install the nodesource-release-el7-1.noarch.rpm files, you should actually get on the yum update channels. But, as we are still testing them out, please don't be too verbose about their existence. We (read: I) would love to hear about anything you see good or bad.

@chrislea

This comment has been minimized.

Copy link
Contributor

commented Sep 10, 2015

BTW: These builds also exist for FC19+. Just sub out "el" with "fc" and also "7" with the FC release in the above URLs. Example:

https://rpm.nodesource.com/pub_4.x/fc/20/x86_64/

@chrislea

This comment has been minimized.

Copy link
Contributor

commented Sep 10, 2015

BTW BTW: When I said 19+ above, I meant inclusive of FC19. Also, for FC there are still 32bit builds. So for Example:

https://rpm.nodesource.com/pub_0.12/fc/19/i386/

@mattiasgeniar

This comment has been minimized.

Copy link

commented Sep 30, 2015

Just to confirm here: using the 0.12 repos on CentOS 6 and CentOS 7 and they're both working exactly as they should. As far as I'm concerned, you can blow of the tires and make it public. ;-)

@samypr100

This comment has been minimized.

Copy link

commented Oct 21, 2015

Any news on this for EL 6 support?

@marcelmfs

This comment has been minimized.

Copy link

commented Jan 25, 2016

I can confirm that installation with yum install https://rpm.nodesource.com/pub_0.12/el/7/x86_64/nodejs-0.12.9-1nodesource.el7.centos.x86_64.rpm with provided rpm packages installed and work correctly in rhel7.2.

jkytomak added a commit to Opetushallitus/soresu-form that referenced this issue Apr 1, 2016

Have to use css-loader 0.18.0
Because of:
webpack-contrib/css-loader#145
and
nodesource/distributions#73

so that the build works also in va vmware Jenkins

jkytomak added a commit to Opetushallitus/valtionavustus that referenced this issue Apr 1, 2016

Have to use css-loader 0.18.0
Because of:
webpack-contrib/css-loader#145
and
nodesource/distributions#73

so that the build works also in va vmware Jenkins
@reynot

This comment has been minimized.

Copy link

commented Apr 6, 2016

curl -sL https://rpm.nodesource.com/setup_0.12 | bash -

Still fails on Centos 7 as not currently supported? Any news on this?

@retrohacker

This comment has been minimized.

Copy link
Contributor

commented Jun 6, 2016

The centos7 repos are available here: https://rpm.nodesource.com/pub_0.12/el/7/x86_64/

And the setup script now supports centos7

@retrohacker retrohacker closed this Jun 6, 2016

@marcelmfs

This comment has been minimized.

Copy link

commented Jan 9, 2017

Just for the sake of completeness I can also confirm that the provided package for 0.12.18 also works in Centos 7.3.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.